/////// Express & Socket.io ///////
//Keep in order
const path = require('path');
const express = require('express');
const app = express();
const http = require('http');
const server = http.createServer(app);
const port_num = 3000;

const { Server } = require("socket.io");
const io = new Server(server);

app.use(express.static(path.join(__dirname, '/'))); //Had to add this otherwise it wouldn't work
app.get('/', (req, res) => {
    res.sendFile(__dirname + '/index.html');
})

io.on('connection', (socket) => {
    console.log('connection found');
    socket.on('disconnect', function(){
      console.log('disconnected');
    });
})//io.on

server.listen(port_num, () => {
    console.log(`listening on *:${port_num}`);
})

/////// Serial port ///////
const SerialPort = require('serialport');
const port = new SerialPort('/dev/tty.usbserial-D30A3T7C', {
    baudRate: 9600
})
const ReadLine = require('@serialport/parser-readline')
const parser = new ReadLine({delimiter: '\r\n'});

port.pipe(parser);
parser.on('data', readSerialData);

function readSerialData(data) {
    //console.log(data);
    io.emit('parsed-data', data);
}//function readSerialData

